Loading...
Searching...
No Matches
lomiri::util::GObjectDeleter Struct Reference

Used by the make_gobject, unique_gobject and share_gobject as the deleter. More...

`#include <lomiri/util/GObjectMemory.h>`

## Public Member Functions

void | operator() (gpointer ptr) noexcept

## Detailed Description

Used by the make_gobject, unique_gobject and share_gobject as the deleter.

Useful if for some reason the normal helper methods are not suitable for your needs.

Example:

GObjectDeleter d;
auto shared = shared_ptr<FooBar>(foo_bar_new("name"), d);
auto unique = unique_ptr<FooBar, GObjectDeleter>(foo_bar_new("name"), d);
lomiri::util::GObjectDeleter
Used by the make_gobject, unique_gobject and share_gobject as the deleter.
Definition GObjectMemory.h:61

The documentation for this struct was generated from the following file:

- include/lomiri/util/GObjectMemory.h